package com.cultural.heritage.model.dto.address;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "地址添加请求体", requiredProperties = {"name", "phone", "region", "detailAddress", "userId", "isDefault"})
public class AddressAddRequest implements Serializable {


    /**
     * 联系人
     */
    @Schema(description = "联系人姓名", example = "张三")
    private String name;


    /**
     * 手机号
     */
    @Schema(description = "手机号", example = "18845892473")
    private String phone;


    /**
     * 地区
     */
    @Schema(description = "地区", example = "黑龙江省哈尔滨市松北区")
    private String region;


    /**
     * 详细地址
     */
    @Schema(description = "详细地址", example = "学院路街道288号哈尔滨华德学院")
    private String detailAddress;


    /**
     * 是否为默认地址
     */
    @Schema(description = "是否为默认地址(1是，0否)", example = "1")
    private Integer isDefault;

    @Serial
    private static final long serialVersionUID = 1L;
}
