package com.cultural.heritage.model.dto.cart;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "购物车订单明细创建请求体", requiredProperties = {"cartRecordId", "quantity"})
public class CartOrderItemAddRequest implements Serializable {


    /**
     * 购物车id
     */
    @Schema(description = "购物车id(id > 0)", example = "20")
    private Long cartRecordId;

    /**
     * 数量
     */
    @Schema(description = "商品数量(quantity > 0)", example = "3")
    private Integer quantity;


    @Serial
    private static final long serialVersionUID = 1L;
}
