package com.cultural.heritage.model.dto.cart;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "购物车记录更新请求体", requiredProperties = {"id", "quantity"})
public class CartRecordUpdateRequest implements Serializable {

    /**
     * 购物车记录id
     */
    @Schema(description = "购物车记录Id(id > 0)", example = "5")
    private Long id;


    /**
     * 数量
     */
    @Schema(description = "商品数量(quantity > 0)", example = "3")
    private Integer quantity;



    @Serial
    private static final long serialVersionUID = 1L;
}
