package com.cultural.heritage.model.dto.order.capital;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;


@Data
@Schema(description = "常规类商品单独购买创建请求体", requiredProperties = {"userId", "userName", "orderNumber", "addressId", "contactsId",
        "couponId", "orderStatus", "isPostage", "note", "orderItemMainInfoAddRequestList"})
public class GeneralGoodSingleBuyAddRequest implements Serializable {


    /**
     * 订单类别
     */
    @Schema(description = "订单类别", example = "product")
    private String orderType;


    /**
     * 用户昵称
     */
    @Schema(description = "用户昵称", example = "Hello")
    private String userName;


    /**
     * 地址id
     */
    @Schema(description = "地址id(id > 0)", example = "12")
    private Long addressId;


    /**
     * 联系人id
     */
    @Schema(description = "联系人id(id > 0)", example = "3")
    private Long contactsId;


    /**
     * 优惠券id
     */
    @Schema(description = "优惠券id(id > 0)", example = "2")
    private Long couponId;


    /**
     * 是否有邮费
     */
    @Schema(description = "是否有邮费", example = "true")
    private Boolean isPostage;


    /**
     * 订单备注
     */
    @Schema(description = "订单备注", example = "希望能完整体验非遗文化，保持产品原貌，妥善包装")
    private String note;

    /**
     * 订单主要明细信息
     */
    @Schema(description = "订单主要明细信息")
    private List<OrderItemMainInfoAddRequest> orderItemMainInfoAddRequestList;



    @Serial
    private static final long serialVersionUID = 1L;
}
