package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 待处理服务类订单表
 * @TableName   pending_service_order
 */
@Data
@TableName(value = "pending_service_order")
public class PendingServiceOrder implements Serializable {


    /**
     * 服务类订单待处理id
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    /**
     * 订单明细id
     */
    private Long orderItemId;


    /**
     * 订单号
     */
    private String orderNumber;


    /**
     * 用户id
     */
    private Long userId;


    /**
     * 用户姓名
     */
    private String name;


    /**
     * 手机号
     */
    private String phone;


    /**
     * 购买数量
     */
    private Integer quantity;


    /**
     * 预估支付金额
     */
    private BigDecimal itemTotalAmount;


    /**
     * 订单明细状态
     */
    private String orderItemStatus;


    /**
     * 服务类商品待处理id
     */
    private Long pendingId;


    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    private Integer isDelete;


    @Serial
    private static final long serialVersionUID = 1L;
}
