package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 写真产品
 * @TableName   photo_products
 */

@Data
@TableName("photo_products")
public class PhotoProducts implements Serializable {


    /**
     * 产品id
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    /**
     * 产品名称
     */
    private String name;


    /**
     * 介绍图片
     */
    private String introImg;


    /**
     * 产品详情（富文本）
     */
    private String richText;


    /**
     * 限定预约人数
     */
    private Integer count;


    /**
     * 拍摄场景
     */
    private String shotScene;


    /**
     * 产品价格
     */
    private BigDecimal price;


    /**
     * 写真类别名称
     */
    private String categoryName;


    /**
     * 是否上架
     */
    private Integer isShelves;


    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    private Integer isDelete;


    @Serial
    private static final long serialVersionUID = 1L;
}
