package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 退款记录表
 * @TableName   refund_record
 */
@Data
@TableName(value = "refund_record")
public class RefundRecord implements Serializable {


    /**
     * 退款记录id
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    /**
     * 商户单号
     */
    private String outTradeNo;


    /**
     * 退款单号
     */
    private String outRefundNo;



    /**
     * 退款金额
     */
    private BigDecimal refundAmount;


    /**
     * 创建时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 是否删除
     */
    private Integer isDelete;


    @Serial
    private static final long serialVersionUID = 1L;
}
