package com.cultural.heritage.service.file;

import com.obs.services.model.PutObjectResult;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.web.multipart.MultipartFile;

import java.io.InputStream;

/**
 * 华为云OBS服务接口
 */
public interface IHweiYunOBSService {


	/**
	 * @Description 上传文件（通过流来上传）
	 * @param: uploadFile 上传文件
	 * @param: objectKey 具体的文件名（含存储路径）
	 * @return PutObjectResult
	 */
	PutObjectResult fileUpload(InputStream inputStream, String objectKey);



	/**
	 * @Description 上传文件
	 * @param: uploadFile 上传文件
	 * @param: objectKey 具体的文件名（含存储路径）
	 * @return PutObjectResult
	 */
	PutObjectResult fileUpload(MultipartFile uploadFile, String objectKey);



	/**
	 *
	 * @param objectKey 具体的文件名（含存储路径）
	 * @param response
	 */
	void downloadFile(String objectKey, HttpServletResponse response);

}
