package com.cultural.heritage.utils;

import java.util.List;
import java.util.ArrayList;

public class Pagination {

    public static <T> List<T> paginate(List<T> sourceList, long currentPage, long pageSize) {
        // 计算起始索引
        long startIndex = (currentPage - 1) * pageSize;

        // 如果起始索引超出集合大小，返回空列表
        if (startIndex >= sourceList.size()) {
            return new ArrayList<>();
        }

        // 计算结束索引
        long endIndex = Math.min(startIndex + pageSize, sourceList.size());

        // 返回分页后的子集
        return sourceList.subList((int) startIndex, (int) endIndex);
    }

}
